package digi.recipeManager.data;

import java.util.List;

import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import digi.recipeManager.*;

public class Recipe
{
	public String permission;
	public List<String> worlds;
	
	public Recipe(final String permission, final List<String> worlds)
	{
		this.permission = permission;
		this.worlds = worlds;
	}
	
	public boolean usableWorld(final String worldName)
	{
		return (worlds.size() > 0 ? worlds.contains(worldName.toUpperCase()) : true);
	}
	
	public boolean usableBy(final CommandSender sender)
	{
		if(permission != null && !sender.hasPermission(permission))
		{
			if(Main.cfgPrintNoPermission)
				Main.printMessage(sender, Lang.get("notify.nopermission"));
			
			return false;
		}
		
		if(sender instanceof Player && !usableWorld(((Player)sender).getWorld().getName()))
		{
			if(Main.cfgPrintNoWorld)
				Main.printMessage(sender, Lang.get("notify.noworld"));
			
			return false;
		}
		
		return true;
	}
	
	public String[] print()
	{
		return new String[]
		{
			""
		};
	}
}
