package digi.recipeManager.data;

import java.util.*;

import org.bukkit.ChatColor;

public class Smelt extends Recipe
{
	public ItemData ingredient;
	public Item result;
	public double minTime;
	public double maxTime;
	
	public Smelt(final ItemData ingredient, final Item result, final double minTime, final double maxTime, final String permission, final List<String> worlds)
	{
		super(permission, worlds);
		this.ingredient = ingredient;
		this.result = result;
		this.minTime = minTime;
		this.maxTime = maxTime;
	}
	
	public double getTime()
	{
		return (maxTime > minTime ? minTime + new Random().nextInt((int)(maxTime - minTime)) : minTime);
	}
	
	@Override
	public String[] print()
	{
		return new String[]
		{
			ChatColor.GOLD + "" + ChatColor.UNDERLINE + "Furnace smelt recipe:",
			ChatColor.BLUE + ingredient.printItemData() + ChatColor.GREEN + " => " + ChatColor.WHITE + result.printAuto() + ChatColor.GRAY + " (" + ChatColor.RED + (minTime == -1 ? "normal speed" : (minTime == 0 ? "instant smelting" : minTime + (maxTime > minTime ? "-" + maxTime : "") + ChatColor.WHITE + " seconds")) + ChatColor.GRAY + ")"
		};
	}
}